database.c File Reference

## Functions

MDatabase * | mdatabase_find (MSymbol tag0, MSymbol tag1, MSymbol tag2, MSymbol tag3)
| Look for a data in the database. More...
MPlist * | mdatabase_list (MSymbol tag0, MSymbol tag1, MSymbol tag2, MSymbol tag3)
| Return a data list of the m17n database. More...
MDatabase * | mdatabase_define (MSymbol tag0, MSymbol tag1, MSymbol tag2, MSymbol tag3, void *(*loader)(MSymbol *, void *), void *extra_info)
| Define a data of the m17n database. More...
void * | mdatabase_load (MDatabase *mdb)
| Load a data from the database. More...
MSymbol * | mdatabase_tag (MDatabase *mdb)
| Get tags of a data. More...

## Variables

MSymbol | Mcharset
char * | mdatabase_dir